Subject: Re[2]: Building-dll doc file
From: [email-masked]

28 Jan 1997 03:17:00 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN
Original-To: [email-masked], [email-masked]
Original-Sender: [email-masked]

     Ooops, ok done.
     
     But now ld crashes : access_violation at C0...05 !!!!!
     
     It looks like an old problem with ld, but I do not remember if there 
     is any workaround.

     pascal

______________________________ Reply Separator _________________________________
Subject: Re: Building-dll doc file
Author:  [email-masked] at INTERNET
Date:    28/01/1997 08:21

[email-masked] wrote: 
>
>      I've tried that, it doesn't work. I got exactly the same message. 
>
>      the new procedure was:
>
>      gcc -c foo.c
>      gcc -c foo2.c
>      ld --dll -o foo.dll --base-file foo.base foo.o foo2.o
>      dlltool --def foo.def --output-exp foo.exp --output-lib foo.a 
>      --dllname foo.dll
     
You forgot the --base-file dlltool option.
     
       dlltool --def foo.def --output-exp foo.exp --output-lib foo.a
        --dllname foo.dll --base-file foo.base
     
Gunther
________________________________________________________
MIMEsweeper has scanned this message and its attachments
and found it to be free of all known viruses.

[email-masked]
http://www.integralis.com

          Innovation, Integration, Integralis
________________________________________________________
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".